## org.apache.fop.image.analyser
Class SVGReader

    java.lang.Object
      |
      +--org.apache.fop.image.analyser.AbstractImageReader
            |
            +--org.apache.fop.image.analyser.SVGReader

public class SVGReader
extends AbstractImageReader

ImageReader object for SVG document image type.

Fields inherited from class org.apache.fop.image.analyser.AbstractImageReader
`height, imageStream, width`

Constructor Summary
`SVGReader()`

Method Summary
`java.lang.String` `getMimeType()` Return correspondig mime type.
`protected boolean` `loadImage()` This means the external svg document will be loaded twice.
`boolean` `verifySignature(java.io.BufferedInputStream fis)` Verify image type.

Methods inherited from class org.apache.fop.image.analyser.AbstractImageReader
`getHeight, getInputStream, getWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGReader

    public SVGReader()

Method Detail

### verifySignature

    public boolean verifySignature(java.io.BufferedInputStream fis)
                            throws java.io.IOException

  Description copied from interface: ImageReader
  Verify image type.
  Overrides:
    verifySignature in class AbstractImageReader
  Tags copied from interface: ImageReader
  Parameters:
    `bis` - Image buffered input stream
  Returns:
    true if image type is the handled one
  Throws:
    java.io.IOException - io error

### getMimeType

    public java.lang.String getMimeType()

  Description copied from interface: ImageReader
  Return correspondig mime type.
  Overrides:
    getMimeType in class AbstractImageReader
  Tags copied from interface: ImageReader
  Returns:
    image mime type

### loadImage

    protected boolean loadImage()

  This means the external svg document will be loaded twice. Possibly need a slightly different design for the image stuff.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.